Bug 478290 - Review Request: screenie - A small and lightweight screen wrapper
Review Request: screenie - A small and lightweight screen wrapper
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 05:33 EST by Fabian Affolter
Modified: 2009-01-23 21:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 21:37:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alexl: fedora‑review?
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-27 05:33:44 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/screenie.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/screenie-1.30.0-1.fc9.src.rpm

Description:
Screenie is a small and lightweight screen wrapper that is
designed to be a session handler that simplifies the process of
administrating detached jobs by providing an interactive menu.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1022715 

rpmlint output:
[fab@laptop024 noarch]$ rpmlint screenie-1.30.0-1.fc9.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint screenie-1.30.0-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 manuel wolfshant 2008-12-30 17:54:29 EST
You must add awk and screen as Requires, rpmbuild does not pick them and without them screenie bails out. sort is also a required program, but it is provided by coreutils and I guess it's safe enough to assume that coreutils is installed on any system where screenie would be used


Everything else seems fine, package is too simple (it's just a shell script) to include a full review.
- RPM name is OK
- rpmlint is empty
- license is OK (GPLv2+)
- source screenie_1.30.0.orig.tar.gz is the same as upstream
1f04b055c30f5f8e4f35160bf50cfa060472a61a screenie_1.30.0.orig.tar.gz
- builds fine in mock (devel/x86_64)) and being a simple shell script it's safe to assume it will work on any arch
- file list is OK, even timestamps are preserved
- works OK (when awk and screen are installed!)

======
Package APPROVED but please add manual requires for awk and screen
======
Comment 2 Fabian Affolter 2009-01-03 07:49:12 EST
Thanks Manuel for the review.  I will add the missing 'Requires' before cvs import.

BTW, happy new year
Comment 3 Fabian Affolter 2009-01-03 07:50:23 EST
New Package CVS Request
=======================
Package Name: screenie
Short Description: A small and lightweight screen wrapper
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 4 Kevin Fenzi 2009-01-04 15:39:18 EST
cvs done.
Comment 5 Fedora Update System 2009-01-04 18:10:48 EST
screenie-1.30.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/screenie-1.30.0-2.fc9
Comment 6 Fedora Update System 2009-01-04 18:10:52 EST
screenie-1.30.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/screenie-1.30.0-2.fc10
Comment 7 Fedora Update System 2009-01-07 04:13:12 EST
screenie-1.30.0-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update screenie'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0069
Comment 8 Fedora Update System 2009-01-07 04:25:31 EST
screenie-1.30.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update screenie'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0162
Comment 9 Alex Lancaster 2009-01-08 04:30:31 EST
I'm switching the review flag on again, because this package should not have passed.  It is causing broken deps in rawhide:

http://koji.fedoraproject.org/mash/rawhide-20090108/logs/depcheck


	screenie-1.30.0-2.fc11.noarch requires awk

This is due to a bogus "Requires: awk". There is no such package in the Fedora collection, there is only "gawk". and I'm surprised that this wasn't picked up here, it suggests that maybe an install attempt was never made.

Actually it seems to be a reviewer error from comment #1, suggesting "awk" rather than "gawk".  Nevertheless the packager should have verified that it installed on their local system before applying a suggested "Requires".

Please fix in rawhide (and in pending bodhi requests).
Comment 10 Fabian Affolter 2009-01-08 06:22:56 EST
Thanks for pointing this out.  This is my fault.  The reviewer discovered the issue and I fixed it the wrong way.
Comment 12 Fedora Update System 2009-01-08 17:33:30 EST
screenie-1.30.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/screenie-1.30.0-3.fc10
Comment 13 Fedora Update System 2009-01-08 17:33:33 EST
screenie-1.30.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/screenie-1.30.0-3.fc9
Comment 14 Fedora Update System 2009-01-14 21:55:08 EST
screenie-1.30.0-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update screenie'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0408
Comment 15 Fedora Update System 2009-01-14 22:03:24 EST
screenie-1.30.0-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update screenie'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0493
Comment 16 Fedora Update System 2009-01-23 21:37:00 EST
screenie-1.30.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-01-23 21:38:30 EST
screenie-1.30.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.